JGraph X 1.3.0.0

## com.mxgraph.swing.util
Class mxGraphActions

    java.lang.Object
      com.mxgraph.swing.util.mxGraphActions

    public class mxGraphActions

extends java.lang.Object

Nested Class Summary
`static class` `mxGraphActions.DeleteAction`
`static class` `mxGraphActions.DrillAction`
`static class` `mxGraphActions.EditAction`
`static class` `mxGraphActions.FoldAction`
`static class` `mxGraphActions.GroupAction`
`static class` `mxGraphActions.LayerAction`
`static class` `mxGraphActions.RemoveFromParentAction`
`static class` `mxGraphActions.SelectAction`
`static class` `mxGraphActions.UngroupAction`
`static class` `mxGraphActions.UpdateGroupBoundsAction`
`static class` `mxGraphActions.ZoomAction`

Constructor Summary
`mxGraphActions()`

Method Summary
`static javax.swing.Action` `getCollapseAction()`
`static javax.swing.Action` `getDeleteAction()`
`static javax.swing.Action` `getEditAction()`
`static javax.swing.Action` `getEnterGroupAction()`
`static javax.swing.Action` `getExitGroupAction()`
`static javax.swing.Action` `getExpandAction()`
`static mxGraph` `getGraph(java.awt.event.ActionEvent e)`
`static javax.swing.Action` `getGroupAction()`
`static javax.swing.Action` `getHomeAction()`
`static javax.swing.Action` `getRemoveFromParentAction()`
`static javax.swing.Action` `getSelectAllAction()`
`static javax.swing.Action` `getSelectChildAction()`
`static javax.swing.Action` `getSelectEdgesAction()`
`static javax.swing.Action` `getSelectNextAction()`
`static javax.swing.Action` `getSelectNoneAction()`
`static javax.swing.Action` `getSelectParentAction()`
`static javax.swing.Action` `getSelectPreviousAction()`
`static javax.swing.Action` `getSelectVerticesAction()`
`static javax.swing.Action` `getToBackAction()`
`static javax.swing.Action` `getToFrontAction()`
`static javax.swing.Action` `getUngroupAction()`
`static javax.swing.Action` `getUpdateGroupBoundsAction()`
`static javax.swing.Action` `getZoomActualAction()`
`static javax.swing.Action` `getZoomInAction()`
`static javax.swing.Action` `getZoomOutAction()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxGraphActions

    public mxGraphActions()

Method Detail

### getDeleteAction

    public static javax.swing.Action getDeleteAction()

  Returns:
    the delete action

### getEditAction

    public static javax.swing.Action getEditAction()

  Returns:
    the edit action

### getGroupAction

    public static javax.swing.Action getGroupAction()

  Returns:
    the edit action

### getUngroupAction

    public static javax.swing.Action getUngroupAction()

  Returns:
    the edit action

### getRemoveFromParentAction

    public static javax.swing.Action getRemoveFromParentAction()

  Returns:
    the edit action

### getUpdateGroupBoundsAction

    public static javax.swing.Action getUpdateGroupBoundsAction()

  Returns:
    the edit action

### getSelectAllAction

    public static javax.swing.Action getSelectAllAction()

  Returns:
    the select all action

### getSelectVerticesAction

    public static javax.swing.Action getSelectVerticesAction()

  Returns:
    the select vertices action

### getSelectEdgesAction

    public static javax.swing.Action getSelectEdgesAction()

  Returns:
    the select edges action

### getSelectNoneAction

    public static javax.swing.Action getSelectNoneAction()

  Returns:
    the select none action

### getSelectNextAction

    public static javax.swing.Action getSelectNextAction()

  Returns:
    the select next action

### getSelectPreviousAction

    public static javax.swing.Action getSelectPreviousAction()

  Returns:
    the select previous action

### getSelectParentAction

    public static javax.swing.Action getSelectParentAction()

  Returns:
    the select parent action

### getSelectChildAction

    public static javax.swing.Action getSelectChildAction()

  Returns:
    the select child action

### getEnterGroupAction

    public static javax.swing.Action getEnterGroupAction()

  Returns:
    the go into action

### getExitGroupAction

    public static javax.swing.Action getExitGroupAction()

  Returns:
    the go up action

### getHomeAction

    public static javax.swing.Action getHomeAction()

  Returns:
    the home action

### getCollapseAction

    public static javax.swing.Action getCollapseAction()

  Returns:
    the collapse action

### getExpandAction

    public static javax.swing.Action getExpandAction()

  Returns:
    the expand action

### getZoomActualAction

    public static javax.swing.Action getZoomActualAction()

  Returns:
    the zoom actual action

### getZoomInAction

    public static javax.swing.Action getZoomInAction()

  Returns:
    the zoom in action

### getZoomOutAction

    public static javax.swing.Action getZoomOutAction()

  Returns:
    the zoom out action

### getToBackAction

    public static javax.swing.Action getToBackAction()

  Returns:
    the action that moves cell(s) to the backmost layer

### getToFrontAction

    public static javax.swing.Action getToFrontAction()

  Returns:
    the action that moves cell(s) to the frontmost layer

### getGraph

    public static final mxGraph getGraph(java.awt.event.ActionEvent e)

  Parameters:
    `e` -
  Returns:
    Returns the graph for the given action event.

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.